Package ghidra.graph.viewer.event.mouse

# Class VertexMouseInfo<V extends VisualVertex,E extends VisualEdge<V>>

java.lang.Object
ghidra.graph.viewer.event.mouse.VertexMouseInfo<V,E>

Type Parameters:
  `V` - the vertex type
  `E` - the edge type

public class VertexMouseInfo<V extends VisualVertex,E extends VisualEdge<V>> extends Object
A class that knows how and where a given vertex was clicked. Further, this class knows how to get clicked components within a given vertex.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VertexMouseInfo(MouseEvent originalMouseEvent, V vertex, Point2D vertexBasedClickPoint, GraphViewer<V,E> viewer)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `forwardEvent()`
  `Component`
  `getClickedComponent()`
  `Cursor`
  `getCursorForClickedComponent()`
  `Point`
  `getDeepestComponentBasedClickPoint()`
  `Object`
  `getEventSource()`
  `MouseEvent`
  `getOriginalMouseEvent()`
  `MouseEvent`
  `getTranslatedMouseEvent()`
  `V`
  `getVertex()`
  `Point2D`
  `getVertexRelativeClickPoint()`
  `GraphViewer<V,E>`
  `getViewer()`
  `boolean`
  `isButtonClick()`
  `boolean`
  `isGrabArea()`
  `boolean`
  `isPopupClick()`
  `boolean`
  `isScaledPastInteractionThreshold()`
  `boolean`
  `isVertexSelected()`
  `void`
  `selectVertex(boolean addToSelection)`
  Selects, or 'pick's the given vertex.
  `void`
  `setClickedComponent(Component clickedComponent, Point2D vertexBasedPoint)`
  You can use this method to override which Java component will get the forwarded event.
  `void`
  `simulateMouseEnteredEvent()`
  `void`
  `simulateMouseExitedEvent()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### VertexMouseInfo

    public VertexMouseInfo(MouseEvent originalMouseEvent, V vertex, Point2D vertexBasedClickPoint, GraphViewer<V,E> viewer)

- ## Method Details

  - ### getVertexRelativeClickPoint

    public Point2D getVertexRelativeClickPoint()

  - ### isScaledPastInteractionThreshold

    public boolean isScaledPastInteractionThreshold()

  - ### getCursorForClickedComponent

    public Cursor getCursorForClickedComponent()

  - ### isGrabArea

    public boolean isGrabArea()

  - ### isButtonClick

    public boolean isButtonClick()

  - ### isVertexSelected

    public boolean isVertexSelected()

  - ### selectVertex

    public void selectVertex(boolean addToSelection)
    Selects, or 'pick's the given vertex.
    Parameters:
      `addToSelection` - true signals to add the given vertex to the set of selected vertices; false signals to clear the existing selected vertices before selecting the given vertex

  - ### getClickedComponent

    public Component getClickedComponent()

  - ### getViewer

    public GraphViewer<V,E> getViewer()

  - ### getVertex

    public V getVertex()

  - ### getDeepestComponentBasedClickPoint

    public Point getDeepestComponentBasedClickPoint()

  - ### setClickedComponent

    public void setClickedComponent(Component clickedComponent, Point2D vertexBasedPoint)
    You can use this method to override which Java component will get the forwarded event. By default, the mouse info will forward the event to the component that is under the point in the event.
    Parameters:
      `clickedComponent` - the component that was clicked
      `vertexBasedPoint` - the point, relative to the vertex's coordinates

  - ### getEventSource

    public Object getEventSource()

  - ### getOriginalMouseEvent

    public MouseEvent getOriginalMouseEvent()

  - ### getTranslatedMouseEvent

    public MouseEvent getTranslatedMouseEvent()

  - ### forwardEvent

    public void forwardEvent()

  - ### simulateMouseEnteredEvent

    public void simulateMouseEnteredEvent()

  - ### simulateMouseExitedEvent

    public void simulateMouseExitedEvent()

  - ### isPopupClick

    public boolean isPopupClick()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`